@layer contents {
  :root {
    --color-base-black: #0c0b0c;
    --color-black: #000;
    --color-base-background: #f6f7f9;
    --color-white: #fff;
    --color-text: #111;
    --color-gray-90: #f9f9f9;
    --color-gray-80: #efefef;
    --color-gray-75: #e0e0e0;
    --color-gray-70: #ccc;
    --color-gray-60: #aaa;
    --color-gray-50: #999;
    --color-gray-40: #797979;
    --color-gray-30: #626262;
    --color-gray-20: #4c4c4c;
    --color-gray-10: #222;
    --color-pink-90: #f8eff3;
    --color-pink-80: #edcfd9;
    --color-pink-70: #e9b9c9;
    --color-pink-60: #e3a4b9;
    --color-pink-50: #d985a1;
    --color-pink-40: #cc6889;
    --color-pink-30: #c85179;
    --color-pink-20: #ae375f;
    --color-pink-10: #7f2745;
    --color-pink-5: #601931;
    --color-purple-90: #f0ebf4;
    --color-purple-80: #e2d1ef;
    --color-purple-70: #ceaee7;
    --color-purple-60: #b58cd5;
    --color-purple-50: #9667bd;
    --color-purple-40: #844ead;
    --color-purple-30: #65318e;
    --color-purple-20: #55237d;
    --color-purple-10: #3b1a55;
    --color-purple-5: #2f1246;
    --color-text-danger: #ff4c35;
    --color-yellow-20: #fff28e;
    --color-yellow-10: #f7e138;
  }
}

@layer contents {
  :root {
    --font-family: "Noto Sans JP", "YuGothic", "Hiragino Kaku Gothic Pro", "Meiryo", sans-serif;
    --second-family: "Prompt", sans-serif;
    --inter-family: "Inter", sans-serif;
    --font-size-base: 1rem;
  }
}

@layer contents {

  /* ---------------------------------------------
  @keyframes top-logo-scale
------------------------------------------------ */
  @keyframes top-logo-scale {
    0% {
      transform: scale(0);
    }

    100% {
      transform: scale(1);
    }
  }

  /* ---------------------------------------------
  @keyframes logo-rotate
------------------------------------------------ */
  @keyframes logo-rotate {
    0% {
      transform: rotate(0deg);
    }

    100% {
      transform: rotate(360deg);
    }
  }

  /* ---------------------------------------------
  @keyframes top-heading-scale
------------------------------------------------ */
  @keyframes top-heading-scale {
    0% {
      opacity: 0;
      transform: scale(0);
    }

    100% {
      opacity: 1;
      transform: scale(1);
    }
  }

  /* ---------------------------------------------
  @keyframes text-scroll-effect
------------------------------------------------ */
  @keyframes text-scroll-effect {
    0% {
      width: 0;
    }

    50% {
      width: 4.375rem;
    }

    75% {
      transform: translateX(0);
    }

    100% {
      width: 4.375rem;
      transform: translateX(-100%);
    }
  }
}

@layer contents {
  :root {
    --desktop-design: 1600px;
    --mobile-design: 375px;
    --desktop-content-width: 1210px;
    --mobile-content-width: 375px;
    --desktop-content-width-narrow: 910px;
    --max-width-xxl: 1512px;
    --max-width-xl: 1210px;
    --max-width-tb: 1024px;
    --max-width-lg: 870px;
    --border-radius-lg: 10px;
    --border-radius-md: 5px;
    --border-radius-sm: 3px;
  }
}

@layer contents {
  :root {
    --transition-duration: 0.3s;
    --transition-timing-function: ease-out;
  }
}

@layer contents {

  .u-d-none {
    display: none !important;
  }

  .u-v-hidden {
    visibility: hidden !important;
  }

  @media screen and (max-width: 896px) {
    .u-d-sm-none {
      display: none !important;
    }

    .u-v-sm-hidden {
      visibility: hidden !important;
    }
  }

  @media (min-width: 897px) {
    .u-d-md-none {
      display: none !important;
    }

    .u-v-md-hidden {
      visibility: hidden !important;
    }
  }
}